Package org.apache.sling.caconfig.resource.spi

## Enum InheritanceDecision

- java.lang.Object
- - java.lang.Enum<InheritanceDecision>
  - - org.apache.sling.caconfig.resource.spi.InheritanceDecision

All Implemented Interfaces:
  `Serializable`, `Comparable<InheritanceDecision>`

    public enum InheritanceDecision
    extends Enum<InheritanceDecision>

Return values for `CollectionInheritanceDecider`.

Since:
  1.1

### Enum Constant Summary

Enum Constants
`BLOCK`
`EXCLUDE`
`INCLUDE`

### Method Summary

All Methods Static Methods Concrete Methods
`static InheritanceDecision` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static InheritanceDecision[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCLUDE

    public static final InheritanceDecision INCLUDE

#### EXCLUDE

    public static final InheritanceDecision EXCLUDE

#### BLOCK

    public static final InheritanceDecision BLOCK

### Method Detail

#### values

    public static InheritanceDecision[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InheritanceDecision c : InheritanceDecision.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InheritanceDecision valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null